servicefiledir = $(datadir)/dbus-1/services
servicefile_in_files = \
	com.canonical.Unity.Webapps.Service.service.in 

servicefile_DATA = $(servicefile_in_files:.service.in=.service)

gsettings_SCHEMAS = \
	com.canonical.unity.webapps.gschema.xml
@GSETTINGS_RULES@

com.canonical.Unity.Webapps.Service.service: com.canonical.Unity.Webapps.Service.service.in
	$(AM_V_GEN)sed -e "s|[@]libexecdir[@]|$(libexecdir)|" $< > $@

# Additional step used for test that need access to a compiled schema
# to be environment agnostic
all: 
	glib-compile-schemas .

EXTRA_DIST = \
	$(gsettings_SCHEMAS) \
	$(servicefile_in_files)

CLEANFILES = \
	$(servicefile_DATA) gschemas.compiled

